umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
SeqLineWidget::DestructionBox Struct Reference

`#include <seqlinewidget.h>`

## Public Member Functions
void | setLineColorCmd (const QColor &color)
void | setLine1Points (QRect rect)
void | setLine2Points (QRect rect)

## Public Attributes
QGraphicsLineItem * | line1 {nullptr}
QGraphicsLineItem * | line2 {nullptr}

## Member Function Documentation

## ◆ setLine1Points()

void SeqLineWidget::DestructionBox::setLine1Points | ( | QRect | rect | ) |
| inline

## ◆ setLine2Points()

void SeqLineWidget::DestructionBox::setLine2Points | ( | QRect | rect | ) |
| inline

## ◆ setLineColorCmd()

void SeqLineWidget::DestructionBox::setLineColorCmd | ( | const QColor & | color | ) |
| inline

## Member Data Documentation

## ◆ line1

QGraphicsLineItem* SeqLineWidget::DestructionBox::line1 {nullptr}

## ◆ line2

QGraphicsLineItem* SeqLineWidget::DestructionBox::line2 {nullptr}

The documentation for this struct was generated from the following file:

- umbrello/umlwidgets/seqlinewidget.h